Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.common
Interface JNDITags

public interface JNDITags

This interface defines all of the tags that are used to look up values in JNDI. This prevents the constant defining/redefining that occurs in the codebase at present.

Any tags that are prefixed with EJB_ stand for the reference defined in the EJB deployment descriptor. The corresponding JNDI names must therefore be prefixed with `java:comp/env/`.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `AUDIT_TOPIC` Topics and Queues.
`static java.lang.String` | `BPM_CONTEXT` These tags are JNDI contexts needed for BPM
`static java.lang.String` | `BPM_ORDER_KEY_PROP` The JMS property for ordered messages
`static java.lang.String` | `DATA_SOURCE` This is the raw JNDI reference to the DataSource
`static java.lang.String` | `EJB_ADMIN` EJB references in EJB environments.
`static java.lang.String` | `EJB_AUDIT`
`static java.lang.String` | `EJB_AUDIT_TOPIC`
`static java.lang.String` | `EJB_BUS_CAL`
`static java.lang.String` | `EJB_BUS_OP_DESC_RO`
`static java.lang.String` | `EJB_BUS_OP_RO`
`static java.lang.String` | `EJB_BUS_OP_RW`
`static java.lang.String` | `EJB_CATALOG`
`static java.lang.String` | `EJB_DATA_SOURCE`
`static java.lang.String` | `EJB_ERROR_TOPIC`
`static java.lang.String` | `EJB_EVENT_KEY_RO`
`static java.lang.String` | `EJB_EVENT_KEY_RW`
`static java.lang.String` | `EJB_EVENT_QUEUE`
`static java.lang.String` | `EJB_EVENT_TOPIC`
`static java.lang.String` | `EJB_FAILED_EVENT_QUEUE`
`static java.lang.String` | `EJB_IDGENERATOR`
`static java.lang.String` | `EJB_INSTANCE`
`static java.lang.String` | `EJB_MDB_ORDER_KEY` This tag indicates the order key of the event listener bean.
`static java.lang.String` | `EJB_MDB_TRANSACTION_TIMEOUT` This tag is used by the event processor to set its transaction timeout.
`static java.lang.String` | `EJB_MDB_VALIDATE_XML` This tag is used by the event processor to determine if it should perform XML validation or not.
`static java.lang.String` | `EJB_NOTIFIER`
`static java.lang.String` | `EJB_NOTIFY_TOPIC`
`static java.lang.String` | `EJB_PERMISSION`
`static java.lang.String` | `EJB_PLUGIN_MANAGER`
`static java.lang.String` | `EJB_PLUGIN_MANAGER_CFG`
`static java.lang.String` | `EJB_PRINCIPAL`
`static java.lang.String` | `EJB_QUEUE_FACTORY`
`static java.lang.String` | `EJB_REPOSITORY`
`static java.lang.String` | `EJB_REROUTE`
`static java.lang.String` | `EJB_SERVER_PROPS`
`static java.lang.String` | `EJB_TEMPLATE_DEFINITION_RO`
`static java.lang.String` | `EJB_TEMPLATE_DEFINITION_RW`
`static java.lang.String` | `EJB_TEMPLATE_RO`
`static java.lang.String` | `EJB_TEMPLATE_RW`
`static java.lang.String` | `EJB_TIMER_DEST`
`static java.lang.String` | `EJB_TOPIC_FACTORY`
`static java.lang.String` | `EJB_VALIDATING_EVENT_QUEUE`
`static java.lang.String` | `EJB_WORKFLOW_PROCESSOR`
`static java.lang.String` | `EJB_WORKLIST`
`static java.lang.String` | `ERROR_TOPIC`
`static java.lang.String` | `EVENT_QUEUE`
`static java.lang.String` | `EVENT_TOPIC`
`static java.lang.String` | `FAILED_EVENT_QUEUE`
`static java.lang.String` | `IDGENERATOR` This is in the raw form in case this gets used outside of an EJB.
`static java.lang.String` | `JNDI_FACTORY` This is the standard WLS JNDI factory tag.
`static java.lang.String` | `NOTIFY_TOPIC`
`static java.lang.String` | `QUEUE_FACTORY`
`static java.lang.String` | `TOPIC_FACTORY` JMS Topic and Queue Factories
`static java.lang.String` | `VALIDATING_EVENT_QUEUE`
`static java.lang.String` | `WLI_CONTEXT` These tags are JNDI contexts needed for WLI

Field Detail

### JNDI_FACTORY

    public static final java.lang.String JNDI_FACTORY

  This is the standard WLS JNDI factory tag.

### EJB_DATA_SOURCE

    public static final java.lang.String EJB_DATA_SOURCE

### DATA_SOURCE

    public static final java.lang.String DATA_SOURCE

  This is the raw JNDI reference to the DataSource

### EJB_ADMIN

    public static final java.lang.String EJB_ADMIN

  EJB references in EJB environments.

### EJB_AUDIT

    public static final java.lang.String EJB_AUDIT

### EJB_BUS_CAL

    public static final java.lang.String EJB_BUS_CAL

### EJB_BUS_OP_DESC_RO

    public static final java.lang.String EJB_BUS_OP_DESC_RO

### EJB_BUS_OP_RO

    public static final java.lang.String EJB_BUS_OP_RO

### EJB_BUS_OP_RW

    public static final java.lang.String EJB_BUS_OP_RW

### EJB_CATALOG

    public static final java.lang.String EJB_CATALOG

### EJB_EVENT_KEY_RO

    public static final java.lang.String EJB_EVENT_KEY_RO

### EJB_EVENT_KEY_RW

    public static final java.lang.String EJB_EVENT_KEY_RW

### EJB_INSTANCE

    public static final java.lang.String EJB_INSTANCE

### EJB_IDGENERATOR

    public static final java.lang.String EJB_IDGENERATOR

### EJB_NOTIFIER

    public static final java.lang.String EJB_NOTIFIER

### EJB_PERMISSION

    public static final java.lang.String EJB_PERMISSION

### EJB_PLUGIN_MANAGER

    public static final java.lang.String EJB_PLUGIN_MANAGER

### EJB_PLUGIN_MANAGER_CFG

    public static final java.lang.String EJB_PLUGIN_MANAGER_CFG

### EJB_PRINCIPAL

    public static final java.lang.String EJB_PRINCIPAL

### EJB_REPOSITORY

    public static final java.lang.String EJB_REPOSITORY

### EJB_REROUTE

    public static final java.lang.String EJB_REROUTE

### EJB_SERVER_PROPS

    public static final java.lang.String EJB_SERVER_PROPS

### EJB_TEMPLATE_RO

    public static final java.lang.String EJB_TEMPLATE_RO

### EJB_TEMPLATE_RW

    public static final java.lang.String EJB_TEMPLATE_RW

### EJB_TEMPLATE_DEFINITION_RO

    public static final java.lang.String EJB_TEMPLATE_DEFINITION_RO

### EJB_TEMPLATE_DEFINITION_RW

    public static final java.lang.String EJB_TEMPLATE_DEFINITION_RW

### EJB_WORKFLOW_PROCESSOR

    public static final java.lang.String EJB_WORKFLOW_PROCESSOR

### EJB_WORKLIST

    public static final java.lang.String EJB_WORKLIST

### IDGENERATOR

    public static final java.lang.String IDGENERATOR

  This is in the raw form in case this gets used outside of an EJB.

### TOPIC_FACTORY

    public static final java.lang.String TOPIC_FACTORY

  JMS Topic and Queue Factories

### QUEUE_FACTORY

    public static final java.lang.String QUEUE_FACTORY

### EJB_TOPIC_FACTORY

    public static final java.lang.String EJB_TOPIC_FACTORY

### EJB_QUEUE_FACTORY

    public static final java.lang.String EJB_QUEUE_FACTORY

### AUDIT_TOPIC

    public static final java.lang.String AUDIT_TOPIC

  Topics and Queues.

### ERROR_TOPIC

    public static final java.lang.String ERROR_TOPIC

### EVENT_QUEUE

    public static final java.lang.String EVENT_QUEUE

### VALIDATING_EVENT_QUEUE

    public static final java.lang.String VALIDATING_EVENT_QUEUE

### EVENT_TOPIC

    public static final java.lang.String EVENT_TOPIC

### FAILED_EVENT_QUEUE

    public static final java.lang.String FAILED_EVENT_QUEUE

### NOTIFY_TOPIC

    public static final java.lang.String NOTIFY_TOPIC

### EJB_TIMER_DEST

    public static final java.lang.String EJB_TIMER_DEST

### EJB_AUDIT_TOPIC

    public static final java.lang.String EJB_AUDIT_TOPIC

### EJB_ERROR_TOPIC

    public static final java.lang.String EJB_ERROR_TOPIC

### EJB_EVENT_QUEUE

    public static final java.lang.String EJB_EVENT_QUEUE

### EJB_VALIDATING_EVENT_QUEUE

    public static final java.lang.String EJB_VALIDATING_EVENT_QUEUE

### EJB_EVENT_TOPIC

    public static final java.lang.String EJB_EVENT_TOPIC

### EJB_FAILED_EVENT_QUEUE

    public static final java.lang.String EJB_FAILED_EVENT_QUEUE

### EJB_NOTIFY_TOPIC

    public static final java.lang.String EJB_NOTIFY_TOPIC

### EJB_MDB_VALIDATE_XML

    public static final java.lang.String EJB_MDB_VALIDATE_XML

  This tag is used by the event processor to determine if it should perform XML validation or not.

### EJB_MDB_ORDER_KEY

    public static final java.lang.String EJB_MDB_ORDER_KEY

  This tag indicates the order key of the event listener bean.

### EJB_MDB_TRANSACTION_TIMEOUT

    public static final java.lang.String EJB_MDB_TRANSACTION_TIMEOUT

  This tag is used by the event processor to set its transaction timeout.

### WLI_CONTEXT

    public static final java.lang.String WLI_CONTEXT

  These tags are JNDI contexts needed for WLI

### BPM_CONTEXT

    public static final java.lang.String BPM_CONTEXT

  These tags are JNDI contexts needed for BPM

### BPM_ORDER_KEY_PROP

    public static final java.lang.String BPM_ORDER_KEY_PROP

  The JMS property for ordered messages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)